Workflow Run Logs Get By Run Id

Workflow Run Logs Get By Run Id
Find Workflow Run logs by run ID

Retrieves the Workflow Run logs for the given run ID

Request
URI
GET
https://{vcfa-fqdn}/vro/runs/{runId}/logs
COPY
Path Parameters
string
runId
Required

runId

Query Parameters
integer
olderThan
Optional
Constraints: default: 0

olderThan

string
severity
Optional
Constraints: default: DEBUG

severity

boolean
localOnly
Optional
Constraints: default: false

localOnly


Authentication
This operation uses the following authentication methods.
Responses
200

'Success' with found workflow run logs

[
    {
        "severity": "string",
        "shortDescription": "string",
        "longDescription": "string",
        "userName": "string",
        "timestamp": "string",
        "origin": "string",
        "entry": {
            "entry": "string"
        }
    }
]

202

Accepted

{
    "message": "string",
    "messageId": "string",
    "stackTrace": [
        "string"
    ],
    "statusCode": 0,
    "errorCode": 0,
    "details": [
        "string"
    ],
    "serverErrorId": "string",
    "documentKind": "string",
    "certificateInfo": {
        "certificate": "string",
        "properties": {
            "properties": "string"
        },
        "documentKind": "string"
    },
    "internalErrorCode": 0
}

400

In case of invalid parameters

Returns ServiceErrorResponse of type(s) */*
{
    "message": "string",
    "messageId": 0,
    "stackTrace": [
        "string"
    ],
    "statusCode": 0,
    "errorCode": 0
}

403

Forbidden

Returns BriefServiceErrorResponse of type(s) */*
{
    "message": "string"
}

404

Workflow Run with this runId could not be found

Returns BriefServiceErrorResponse of type(s) */*
{
    "message": "string"
}

409

Conflict

Returns BriefServiceErrorResponse of type(s) */*
"BriefServiceErrorResponse Object"
string
message
Optional

message


417

Expectation Failed

Returns BriefServiceErrorResponse of type(s) */*
"BriefServiceErrorResponse Object"
string
message
Optional

message


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/vro/runs/{runId}/logs